Loading...
Searching...
No Matches
janus_nanomsgevh.c File Reference
Event Handlers

Janus NanomsgEventHandler plugin. More...

`#include "eventhandler.h"`
`#include <math.h>`
`#include <nanomsg/nn.h>`
`#include <nanomsg/pubsub.h>`
`#include <nanomsg/inproc.h>`
`#include <nanomsg/ipc.h>`
`#include <nanomsg/pipeline.h>`
`#include "../debug.h"`
`#include "../config.h"`
`#include "../utils.h"`
`#include "../events.h"`
Include dependency graph for janus_nanomsgevh.c:

## Macros

#define | JANUS_NANOMSGEVH_VERSION 1
#define | JANUS_NANOMSGEVH_VERSION_STRING "0.0.1"
#define | JANUS_NANOMSGEVH_DESCRIPTION "This is a trivial Nanomsg event handler plugin for Janus."
#define | JANUS_NANOMSGEVH_NAME "JANUS NanomsgEventHandler plugin"
#define | JANUS_NANOMSGEVH_AUTHOR "Meetecho s.r.l."
#define | JANUS_NANOMSGEVH_PACKAGE "janus.eventhandler.nanomsgevh"
#define | JANUS_NANOMSGEVH_ERROR_INVALID_REQUEST 411
#define | JANUS_NANOMSGEVH_ERROR_MISSING_ELEMENT 412
#define | JANUS_NANOMSGEVH_ERROR_INVALID_ELEMENT 413
#define | JANUS_NANOMSGEVH_ERROR_UNKNOWN_ERROR 499

## Functions

janus_eventhandler * | create (void)
int | janus_nanomsgevh_init (const char *config_path)
void | janus_nanomsgevh_destroy (void)
int | janus_nanomsgevh_get_api_compatibility (void)
int | janus_nanomsgevh_get_version (void)
const char * | janus_nanomsgevh_get_version_string (void)
const char * | janus_nanomsgevh_get_description (void)
const char * | janus_nanomsgevh_get_name (void)
const char * | janus_nanomsgevh_get_author (void)
const char * | janus_nanomsgevh_get_package (void)
void | janus_nanomsgevh_incoming_event (json_t *event)
json_t * | janus_nanomsgevh_handle_request (json_t *request)

## Detailed Description

Janus NanomsgEventHandler plugin.

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

This is a trivial Nanomsg event handler plugin for Janus

Event handlers documentation

## Macro Definition Documentation

## JANUS_NANOMSGEVH_AUTHOR

#define JANUS_NANOMSGEVH_AUTHOR "Meetecho s.r.l."

## JANUS_NANOMSGEVH_DESCRIPTION

#define JANUS_NANOMSGEVH_DESCRIPTION "This is a trivial Nanomsg event handler plugin for Janus."

## JANUS_NANOMSGEVH_ERROR_INVALID_ELEMENT

#define JANUS_NANOMSGEVH_ERROR_INVALID_ELEMENT 413

## JANUS_NANOMSGEVH_ERROR_INVALID_REQUEST

#define JANUS_NANOMSGEVH_ERROR_INVALID_REQUEST 411

## JANUS_NANOMSGEVH_ERROR_MISSING_ELEMENT

#define JANUS_NANOMSGEVH_ERROR_MISSING_ELEMENT 412

## JANUS_NANOMSGEVH_ERROR_UNKNOWN_ERROR

#define JANUS_NANOMSGEVH_ERROR_UNKNOWN_ERROR 499

## JANUS_NANOMSGEVH_NAME

#define JANUS_NANOMSGEVH_NAME "JANUS NanomsgEventHandler plugin"

## JANUS_NANOMSGEVH_PACKAGE

#define JANUS_NANOMSGEVH_PACKAGE "janus.eventhandler.nanomsgevh"

## JANUS_NANOMSGEVH_VERSION

#define JANUS_NANOMSGEVH_VERSION 1

## JANUS_NANOMSGEVH_VERSION_STRING

#define JANUS_NANOMSGEVH_VERSION_STRING "0.0.1"

## Function Documentation

## create()

janus_eventhandler * create | ( | void |  | ) |

## janus_nanomsgevh_destroy()

void janus_nanomsgevh_destroy | ( | void |  | ) |

## janus_nanomsgevh_get_api_compatibility()

int janus_nanomsgevh_get_api_compatibility | ( | void |  | ) |

## janus_nanomsgevh_get_author()

const char * janus_nanomsgevh_get_author | ( | void |  | ) |

## janus_nanomsgevh_get_description()

const char * janus_nanomsgevh_get_description | ( | void |  | ) |

## janus_nanomsgevh_get_name()

const char * janus_nanomsgevh_get_name | ( | void |  | ) |

## janus_nanomsgevh_get_package()

const char * janus_nanomsgevh_get_package | ( | void |  | ) |

## janus_nanomsgevh_get_version()

int janus_nanomsgevh_get_version | ( | void |  | ) |

## janus_nanomsgevh_get_version_string()

const char * janus_nanomsgevh_get_version_string | ( | void |  | ) |

## janus_nanomsgevh_handle_request()

json_t * janus_nanomsgevh_handle_request | ( | json_t * | request | ) |

## janus_nanomsgevh_incoming_event()

void janus_nanomsgevh_incoming_event | ( | json_t * | event | ) |

## janus_nanomsgevh_init()

int janus_nanomsgevh_init | ( | const char * | config_path | ) |